import { TemplateCategory, TemplateConfig } from '../../core/libs/utils/update/type';
import Base from './base';
export default class Creator extends Base {
    appItems: string[];
    constructor();
    static getAvaliableAppItems(): TemplateCategory[];
    enterProjectPath(): Promise<string>;
    checkProjectPath(projectPath: string): Promise<boolean>;
    chooseAppType(appType?: string): Promise<TemplateCategory>;
    chooseSubtype(options: {
        appType: TemplateCategory;
        subtype?: string;
    }): Promise<TemplateCategory | undefined>;
    chooseTemplate(options: {
        templateCate: TemplateCategory;
        templateName?: string;
    }): Promise<TemplateConfig>;
    generate(options: {
        templateCate: TemplateCategory;
        templateConfig: TemplateConfig;
        projectPath: string;
    }): Promise<void>;
}
